From 057eaa10ce6ce1c79afc9be38f54e5fe1f350eed Mon Sep 17 00:00:00 2001
From: KDr2 <zhuo.dev@gmail.com>
Date: Thu, 15 Jun 2017 06:28:29 +0800
Subject: [PATCH] Don't downcase filepath in load_libraries

---
 src/backend/utils/init/miscinit.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/utils/init/miscinit.c b/src/backend/utils/init/miscinit.c
index 8d149bf..d637af3 100644
--- a/src/backend/utils/init/miscinit.c
+++ b/src/backend/utils/init/miscinit.c
@@ -1436,11 +1436,11 @@ load_libraries(const char *libraries, const char *gucname, bool restricted)
 	rawstring = pstrdup(libraries);
 
 	/* Parse string into list of identifiers */
-	if (!SplitIdentifierString(rawstring, ',', &elemlist))
+	if (!SplitDirectoriesString(rawstring, ',', &elemlist))
 	{
 		/* syntax error in list */
 		pfree(rawstring);
-		list_free(elemlist);
+		list_free_deep(elemlist);
 		ereport(LOG,
 				(errcode(ERRCODE_SYNTAX_ERROR),
 				 errmsg("invalid list syntax in parameter \"%s\"",
@@ -1471,7 +1471,7 @@ load_libraries(const char *libraries, const char *gucname, bool restricted)
 	}
 
 	pfree(rawstring);
-	list_free(elemlist);
+	list_free_deep(elemlist);
 }
 
 /*
-- 
2.1.4

